import { LeafletFlowMap, GenericDataRecord } from '@unovis/ts';
export declare const VisLeafletFlowMapSelectors: typeof import("@unovis/ts/dist/components/leaflet-map/style");
declare const _default: <PointDatum extends GenericDataRecord, FlowDatum extends GenericDataRecord>(__VLS_props: any, __VLS_ctx?: {
    attrs: any;
    emit: any;
    slots: any;
}, __VLS_expose?: any, __VLS_setup?: Promise<{
    props: {
        duration?: number;
        events?: {
            [selector: string]: {
                touchstart?: import("@unovis/ts").VisEventCallback<any>;
                touchmove?: import("@unovis/ts").VisEventCallback<any>;
                touchend?: import("@unovis/ts").VisEventCallback<any>;
                mouseover?: import("@unovis/ts").VisEventCallback<any>;
                mousemove?: import("@unovis/ts").VisEventCallback<any>;
                mousedown?: import("@unovis/ts").VisEventCallback<any>;
                mouseup?: import("@unovis/ts").VisEventCallback<any>;
                click?: import("@unovis/ts").VisEventCallback<any>;
                auxclick?: import("@unovis/ts").VisEventCallback<any>;
                contextmenu?: import("@unovis/ts").VisEventCallback<any>;
                dblclick?: import("@unovis/ts").VisEventCallback<any>;
                mouseenter?: import("@unovis/ts").VisEventCallback<any>;
                mouseleave?: import("@unovis/ts").VisEventCallback<any>;
                mouseout?: import("@unovis/ts").VisEventCallback<any>;
                scroll?: import("@unovis/ts").VisEventCallback<any>;
                select?: import("@unovis/ts").VisEventCallback<any>;
                wheel?: import("@unovis/ts").VisEventCallback<any>;
                pointerdown?: import("@unovis/ts").VisEventCallback<any>;
                pointerup?: import("@unovis/ts").VisEventCallback<any>;
                pointerout?: import("@unovis/ts").VisEventCallback<any>;
                pointermove?: import("@unovis/ts").VisEventCallback<any>;
            };
        };
        attributes?: {
            [selector: string]: {
                [attr: string]: string | number | boolean | ((datum: any) => string | number | boolean);
            };
        };
        data?: {
            points: PointDatum[];
            flows?: FlowDatum[];
        };
        width?: string | number;
        tooltip?: import("@unovis/ts").Tooltip;
        fitViewPadding?: [number, number];
        zoomDuration?: number;
        pointColor?: import("@unovis/ts").ColorAccessor<import("@unovis/ts").LeafletMapPointDatum<PointDatum>>;
        pointRadius?: import("@unovis/ts").NumericAccessor<import("@unovis/ts").LeafletMapPointDatum<PointDatum>>;
        pointCursor?: import("@unovis/ts").StringAccessor<import("@unovis/ts").LeafletMapPointDatum<PointDatum>>;
        pointLabel?: import("@unovis/ts").StringAccessor<import("@unovis/ts").LeafletMapPointDatum<PointDatum>>;
        pointId?: import("@unovis/ts").StringAccessor<PointDatum>;
        clusterLabel?: import("@unovis/ts").StringAccessor<import("@unovis/ts").LeafletMapClusterDatum<PointDatum>>;
        clusterLabelColor?: import("@unovis/ts").StringAccessor<import("@unovis/ts").LeafletMapClusterDatum<PointDatum>>;
        height?: string | number;
        ariaLabel?: string;
        sourceLongitude?: import("@unovis/ts").NumericAccessor<FlowDatum>;
        sourceLatitude?: import("@unovis/ts").NumericAccessor<FlowDatum>;
        targetLongitude?: import("@unovis/ts").NumericAccessor<FlowDatum>;
        targetLatitude?: import("@unovis/ts").NumericAccessor<FlowDatum>;
        sourcePointRadius?: import("@unovis/ts").NumericAccessor<FlowDatum>;
        sourcePointColor?: import("@unovis/ts").ColorAccessor<FlowDatum>;
        flowParticleColor?: import("@unovis/ts").ColorAccessor<FlowDatum>;
        flowParticleRadius?: import("@unovis/ts").NumericAccessor<FlowDatum>;
        flowParticleSpeed?: import("@unovis/ts").NumericAccessor<FlowDatum>;
        flowParticleDensity?: import("@unovis/ts").NumericAccessor<FlowDatum>;
        onSourcePointClick?: (f: FlowDatum, x: number, y: number, event: MouseEvent) => void;
        onSourcePointMouseEnter?: (f: FlowDatum, x: number, y: number, event: MouseEvent) => void;
        onSourcePointMouseLeave?: (f: FlowDatum, event: MouseEvent) => void;
        flyToDuration?: number;
        initialBounds?: import("@unovis/ts").Bounds;
        fitBoundsOnUpdate?: import("@unovis/ts").Bounds;
        fitViewOnInit?: boolean;
        fitViewOnUpdate?: boolean;
        styleDarkTheme?: string | import("maplibre-gl").StyleSpecification;
        accessToken?: string;
        attribution?: string[];
        renderer?: string;
        onMapInitialized?: () => void;
        onMapMoveZoom?: ({ mapCenter, zoomLevel, bounds }: import("@unovis/ts").MapZoomState) => void;
        onMapMoveStart?: ({ mapCenter, zoomLevel, bounds }: import("@unovis/ts").MapZoomState) => void;
        onMapMoveEnd?: ({ mapCenter, zoomLevel, bounds }: import("@unovis/ts").MapZoomState) => void;
        onMapZoomStart?: ({ mapCenter, zoomLevel, bounds }: import("@unovis/ts").MapZoomState) => void;
        onMapZoomEnd?: ({ mapCenter, zoomLevel, bounds }: import("@unovis/ts").MapZoomState) => void;
        onMapClick?: ({ mapCenter, zoomLevel, bounds }: import("@unovis/ts").MapZoomState) => void;
        pointLongitude?: import("@unovis/ts").NumericAccessor<PointDatum>;
        pointLatitude?: import("@unovis/ts").NumericAccessor<PointDatum>;
        pointShape?: import("@unovis/ts").GenericAccessor<string, PointDatum>;
        pointLabelColor?: import("@unovis/ts").StringAccessor<import("@unovis/ts").LeafletMapPointDatum<PointDatum>>;
        pointBottomLabel?: import("@unovis/ts").StringAccessor<import("@unovis/ts").LeafletMapPointDatum<PointDatum>>;
        pointRingWidth?: number;
        selectedPointId?: string;
        clusterColor?: import("@unovis/ts").ColorAccessor<import("@unovis/ts").LeafletMapClusterDatum<PointDatum>>;
        clusterRadius?: import("@unovis/ts").NumericAccessor<import("@unovis/ts").LeafletMapClusterDatum<PointDatum>>;
        clusterBottomLabel?: import("@unovis/ts").StringAccessor<import("@unovis/ts").LeafletMapClusterDatum<PointDatum>>;
        clusterRingWidth?: number;
        clusterBackground?: boolean;
        clusterExpandOnClick?: boolean;
        clusteringDistance?: number;
        colorMap?: import("@unovis/ts").LeafletMapPointStyles<PointDatum>;
        topoJSONLayer?: {
            sources: any;
            featureName?: string;
            fillProperty?: string;
            strokeProperty?: string;
            fillOpacity?: number;
            strokeOpacity?: number;
            strokeWidth?: number;
        };
    } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps;
    expose(exposed: import("vue").ShallowUnwrapRef<{
        component: import("vue").Ref<LeafletFlowMap<PointDatum, FlowDatum>, LeafletFlowMap<PointDatum, FlowDatum>>;
    }>): void;
    attrs: any;
    slots: {};
    emit: any;
}>) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> & {
    __ctx?: any;
};
export default _default;
